# Interface ICefSSLStatus

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefSSLStatus = interface(ICefBaseRefCounted)`

## Description

Interface representing the SSL information for a navigation entry.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_ssl_status_capi.h">CEF source file: /include/capi/cef_ssl_status_capi.h (cef_sslstatus_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefSSLStatus

## Overview

### Methods

| `function IsSecureConnection: boolean;`
| `function GetCertStatus: TCefCertStatus;`
| `function GetSSLVersion: TCefSSLVersion;`
| `function GetContentStatus: TCefSSLContentStatus;`
| `function GetX509Certificate: ICefX509Certificate;`

## Description

### Methods

| `function IsSecureConnection: boolean;`
Returns true (1) if the status is related to a secure SSL/TLS connection. ###### Attributes GUID['{E3F004F2-03D5-46A2-91D0-510C50F3B225}']

| `function GetCertStatus: TCefCertStatus;`
Returns a bitmask containing any and all problems verifying the server certificate.

| `function GetSSLVersion: TCefSSLVersion;`
Returns the SSL version used for the SSL connection.

| `function GetContentStatus: TCefSSLContentStatus;`
Returns a bitmask containing the page security content status.

| `function GetX509Certificate: ICefX509Certificate;`
Returns the X.509 certificate.

Generated by PasDoc 0.16.0-snapshot.